Subject: Re: [Rtg-dt-encap-considerations] Minor comment Re: I-D Action: draft-rtg-dt-encap-00.txt

From: Erik Nordmark <[email-masked]>
Date: Mon, 09 Mar 2015 15:34:45 -0700

On 3/9/15 1:59 PM, Joel M. Halpern wrote:
> The text reads:
>    o  SFC carries service meta-data which might be unmodified, but talks
>       of a ttl for loop avoidance which is modified for each hop in the
>       service chain.
>
> Which seems to imply that we expect metadata to be unmodified.  I 
> found it quite jarring.  I did understand the point you were trying to 
> make. I think that SFC, like BIER, expects (or at the least is 
> designed to always be able to allow) header content to be modified en 
> route.  So putting SFC in the middle of the list does not help show a 
> spectrum.

How about
     SFC carries service meta-data which might be modified or unmodified 
as the packets follow the service path. SFC talks of some loop avoidance 
mechanism which is likely to result in modifications for for each hop in 
the service chain even if the meta-data is unmodified.

    Erik

>
> Yours,
> Joel
>
> On 3/9/15 4:55 PM, Erik Nordmark wrote:
>> On 3/9/15 1:38 PM, Joel Halpern wrote:
>>> The overview description of SFC implies that SFC expects metadata to
>>> be unchanged edge to edge.  In fact, we expect service functions to
>>> add metadata, and possibly modify some metadata.  SO saying that it
>>> may be unmodified, while technically correct, seems misleading.
>> Where do we say that? I think the draft says that some SFC data will be
>> modified (with an example about loop suppression). We could make that be
>> more open-ended. Main point is to show the range from NVO3 (no
>> modifications along path) to BIER (every BIER router modifies the
>> bitmap) with SFC being somewhere in the middle with some modifications.
>>
>> Thanks,
>>     Erik
>>
>>
>>>
>>> Yours,
>>> Joel
>>>
>>> On 3/9/15 4:20 PM, [email-masked] wrote:
>>>>
>>>> A New Internet-Draft is available from the on-line Internet-Drafts
>>>> directories.
>>>>
>>>>
>>>>          Title           : Encapsulation Considerations
>>>>          Authors         : Erik Nordmark
>>>>                            Albert Tian
>>>>                            Jesse Gross
>>>>                            Jon Hudson
>>>>                            Lawrence Kreeger
>>>>                            Pankaj Garg
>>>>                            Patricia Thaler
>>>>                            Tom Herbert
>>>>     Filename        : draft-rtg-dt-encap-00.txt
>>>>     Pages           : 37
>>>>     Date            : 2015-03-09
>>>>
>>>> Abstract:
>>>>     The IETF Routing Area director has chartered a design team to
>>>> look at
>>>>     common issues for the different data plane encapsulations being
>>>>     discussed in the NVO3 and SFC working groups and also in the BIER
>>>>     BoF, and also to look at the relationship between such
>>>> encapsulations
>>>>     in the case that they might be used at the same time. The
>>>> purpose of
>>>>     this design team is to discover, discuss and document 
>>>> considerations
>>>>     across the different encapsulations in the different WGs/BoFs so
>>>> that
>>>>     we can reduce the number of wheels that need to be reinvented 
>>>> in the
>>>>     future.
>>>
>>